Bug 1410846 - We might not be purging all tables that we should be
Summary: We might not be purging all tables that we should be
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.1
Assignee: Keenan Brock
QA Contact: Dave Johnson
URL:
Whiteboard: perf:database
Depends On: 1348625
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 15:46 UTC by Satoe Imaishi
Modified: 2017-02-27 19:17 UTC (History)
5 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1348625
Environment:
Last Closed: 2017-02-27 19:17:27 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 15:50:59 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/976c94df123b1b45eac1d39548660ae887e428a7

commit 976c94df123b1b45eac1d39548660ae887e428a7
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Wed Nov 16 09:18:43 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 10:49:40 2017 -0500

    Merge pull request #12560 from kbrock/purge_remaining
    
    For purging remaining records, use single query
    (cherry picked from commit 0571a44383624d69b7c66f75817b772899a8d847)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410846

 app/models/drift_state/purging.rb             | 34 +----------
 app/models/miq_report_result/purging.rb       | 40 +------------
 app/models/mixins/purging_mixin.rb            | 83 ++++++++++++++++++++++++++-
 spec/models/drift_state/purging_spec.rb       |  5 --
 spec/models/miq_report_result/purging_spec.rb |  4 --
 5 files changed, 86 insertions(+), 80 deletions(-)

Comment 3 CFME Bot 2017-01-09 19:01:00 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/892ac79a18813457b9adafe2a44946f84fe0bc6f

commit 892ac79a18813457b9adafe2a44946f84fe0bc6f
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Tue Dec 13 13:53:27 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 13:58:28 2017 -0500

    Merge pull request #13086 from kbrock/purge_performance_states
    
    Introduce purge timer for drift states
    (cherry picked from commit f638c97c38ce2dc405641d7921432b99585e5772)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410846

 app/models/miq_schedule_worker/jobs.rb   | 4 ++++
 app/models/miq_schedule_worker/runner.rb | 5 +++++
 config/settings.yml                      | 1 +
 3 files changed, 10 insertions(+)

Comment 4 Keenan Brock 2017-01-11 15:22:05 UTC
All on euwe

Comment 5 errata-xmlrpc 2017-02-27 19:17:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.